IF CURDIR() <> "\XFRX\"
	=MESSAGEBOX("changing within the program didn't work.  ";
						 +CHR(13)+"So set dir before launching prg.",0,"")
	RETURN  
ENDIF 

IF VAL(STRTRAN(SUBS(VERSION(),LEN("Visual FoxPro ")+1,2),"0",""))<9
  	=MESSAGEBOX( ;
  	"This is a demo version of XFRX for VFP 9. You need to run this demo version in Visual Foxpro 9.")
  	RETURN .F.
ENDIF

lcPath=CURDIR()
*lcPath = "\xfrx"		&&new for Basis

lcPath=LEFT(lcPath,RAT("\",lcPath))

WAIT "lcPath set to >"+lcPath+"<" WINDOW 

SET PATH TO (lcPath) ADDITIVE
SET PATH TO (lcPath+"xfrxlib") ADDITIVE
SET PATH TO (lcPath+"libs") ADDITIVE
SET PATH TO (lcPath+"src") ADDITIVE

IF ATC("xfrxlib.vcx", SET("CLASSLIB")) = 0
   SET CLASSLIB TO lcpath+"xfrxlib\xfrxlib" ADDITIVE
ENDIF
   
*IF ATC("_reportlistener.vcx", SET("CLASSLIB")) = 0
	*SET CLASSLIB TO (HOME()+"ffc\_reportlistener") ADDITIVE 
	**SET CLASSLIB TO "C:\program files (x86)\microsoft visual foxpro 9\ffc\_reportlistener" ADDITIVE 
*ENDIF 

IF ATC("_reportlistener.vcx", SET("CLASSLIB")) = 0
	SET CLASSLIB TO lcpath+"_reportlistener" ADDITIVE 
ENDIF 

WAIT SET("CLASSLIB") WINDOW 

LOCAL lnError
lnError = 0
ON ERROR lnError = ERROR()
IF ATC("xfrxlib.fll", SET("LIBRARY")) = 0
   SET LIBRARY TO lcpath+"xfrxlib.fll"
ENDIF
ON ERROR 

DO CASE
  	CASE lnError = 1726
	      	=MESSAGEBOX("Error: XFRXLIB.FLL was not found.")
      		RETURN .F.
        
  	CASE lnError = 1691
		      =MESSAGEBOX( ;
"XFRXLIB.FLL cannot be initialized, most probably because "+;
"GDIPLUS.DLL, MSVCP71.DLL or MSVCR71.DLL is not properly installed. These libraries are needed for XFRX to be "+;
"able to convert reports to graphic images (BMP, GIF, JPEG, PNG and TIFF)."+CHR(13)+CHR(13)+;
"Please read installation notes in WHATSNEW.HTML for more information about installing these libraries."+CHR(13)+CHR(13)+;
"If you would like to run XFRX demo without installing GDIPLUS.DLL and/or MSVCR71.DLL on your computer "+;
"you can replace XFRXLIB.FLL in the current directory with XFRXLIB.FLL from NOGDIP subdirectory."+;
"Then you would be able to run this demo, but BMP, GIF, JPEG, PNG and TIFF output options will "+;
"not work correctly." )
      		RETURN .F.
        
	OTHERWISE
      		*RETURN .T.
ENDCASE
*--------------------------------------------------------------------------------------------

&&-------------- the following added for testing ---------------
CLEAR all
lcpath = CURDIR()
tcFRXFullFileName = lcpath+"svcinvcxx.frx"
tcFullOutputFileSpec = lcpath+"xfrx2pdforder.pdf"

USE lcpath+"co-ctrl"
SELECT 0
USE lcpath+"tmpordpk" EXCLUSIVE
SET SAFETY OFF 
INDEX on ordernumbr TAG ordernumbr
SELECT 0
USE lcpath+"tmpitmpk" EXCLUSIVE
INDEX on ordernumbr TAG ordernumbr
SET SAFETY ON 
&&----------------------------------------------------------------

lcDefa = CURDIR()
SET DEFAULT TO (lcpath)

LOCAL m.loSession, m.lnRetval
m.loSession = XFRX("XFRX#LISTENER")
m.loSession.setLogFile(lcpath+"xfrx-log.txt")
m.loSession.targetType = "PDF"
m.loSession.targetFileName = tcFullOutputFileSpec
m.lnRetval = m.loSession.SetParams()
IF m.lnRetval = 0
   REPORT FORM lcpath+ALLTRIM(UPPER(JUSTSTEM(tcFRXFullFileName ))) OBJECT m.loSession
   m.loSession.finalize() 
ELSE
   ? m.lnRetval
ENDIF
*m.loSession = .null

SET DEFAULT TO (lcDefa)

IF messagebox("Clear & Clear all?",4,"") = 6
	CLEAR 
	CLEAR ALL
ENDIF 

